OAEP< H, MGF > Class Template Reference

OAEP padding. More...

Inheritance diagram for OAEP< H, MGF >:

## Public Types

typedef OAEP< H, MGF > | EncryptionMessageEncodingMethod

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from OAEP_Base
bool | ParameterSupported (const char *name) const
size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const

## Detailed Description

### template<class H, class MGF = P1363_MGF1>
class OAEP< H, MGF >

OAEP padding.

Template Parameters

  H | HashTransformation derived class
  MGF | MaskGeneratingFunction derived class

See also
  EME-OAEP, for use with classes derived from TF_ES

Since
  Crypto++ 2.1

Definition at line 38 of file oaep.h.

The documentation for this class was generated from the following file:

- oaep.h